/*
 * Copyright 2018 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v4.1
processor: LPC8N04
package_id: LPC8N04FHI24
mcu_data: ksdk2_0
processor_version: 0.0.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_gpio.h"
#include "fsl_iocon.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '4', peripheral: GPIO, signal: 'PIO0, 6', pin_signal: PIO0_6/SCLK, direction: OUTPUT, gpio_init_state: 'false', mode: inactive, lpf: disabled}
  - {pin_num: '14', peripheral: CTIMER0, signal: 'MATCH, 0', pin_signal: PIO0_3/CT16B_M0, mode: inactive, lpf: disabled, cdrive: fvdrivesel, ddrive: hdrive, ilo: olval0,
    ihi: ohval128}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M0P */
void BOARD_InitPins(void)
{
    /* Enable clock for I/O configuration block: Enable */
    CLOCK_EnableClock(kCLOCK_Iocon);
    /* Enables the clock for the GPIO0 module */
    CLOCK_EnableClock(kCLOCK_Gpio);

    gpio_pin_config_t gpio0_pin4_config = {
        .direction = kGPIO_DigitalOutput,
        .outputLogic = 0U,
    };
    /* Initialize GPIO functionality on pin PIO0_6 (pin 4)  */
    GPIO_PinInit(GPIO, 6U, &gpio0_pin4_config);

    const uint32_t port0_pin3_config = (/* Pin is configured as CT16B_M0 */
                                        IOCON_PIO_FUNC1 |
                                        /* No addition pin function */
                                        IOCON_PIO_MODE_INACT |
                                        /* Enable low-pass filter */
                                        IOCON_PIO_LPF_DI |
                                        /* Selects fixed voltage driver */
                                        IOCON_PIO_CDRIVE_FVD |
                                        /* Selects high drive */
                                        IOCON_PIO_DDRIVE_HD |
                                        /* output LOW (deasserted) value */
                                        IOCON_PIO_ILO0 |
                                        /* output HIGH (asserted) value */
                                        IOCON_PIO_IHI128);
    /* PORT0 PIN3 (coords: 14) is configured as CT16B_M0 */
    IOCON_PinMuxSet(IOCON, 0U, 3U, port0_pin3_config);

    const uint32_t port0_pin6_config = (/* Pin is configured as PIO0_6 */
                                        IOCON_PIO_FUNC0 |
                                        /* No addition pin function */
                                        IOCON_PIO_MODE_INACT |
                                        /* Enable low-pass filter */
                                        IOCON_PIO_LPF_DI);
    /* PORT0 PIN6 (coords: 4) is configured as PIO0_6 */
    IOCON_PinMuxSet(IOCON, 0U, 6U, port0_pin6_config);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
