/*
 * Copyright 2018 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/*******************************************************************************
 * Includes
 ******************************************************************************/

#include "board.h"
#include "fsl_ctimer.h"
#include "fsl_gpio.h"

#include "pin_mux.h"
#include "clock_config.h"
/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define EXAMPLE_CTIMER CTIMER0                 /* Timer 0 */
#define EXAMPLE_CTIMER_MAT_OUT kCTIMER_Match_0 /* Match output 0 */
#define EXAMPLE_CTIMER_CLK_FREQ CLOCK_GetFreq(kCLOCK_SysClk)

/*******************************************************************************
 * Prototypes
 ******************************************************************************/

/*******************************************************************************
* Variables
******************************************************************************/

/*******************************************************************************
 * Code
 ******************************************************************************/

/*!
 * @brief Main function
 */
int main(void)
{
    ctimer_config_t config;
    ctimer_match_config_t matchConfig;

    /* Init hardware*/
    BOARD_InitPins();
    BOARD_InitBootClocks();
    GPIO_PinWrite(GPIO, 6, 0);

    CTIMER_GetDefaultConfig(&config);

    CTIMER_Init(EXAMPLE_CTIMER, &config);

    matchConfig.enableCounterReset = true;
    matchConfig.enableCounterStop = false;
    matchConfig.matchValue = EXAMPLE_CTIMER_CLK_FREQ / 200;
    matchConfig.outControl = kCTIMER_Output_Toggle;
    matchConfig.outPinInitState = true;
    matchConfig.enableInterrupt = false;
    CTIMER_SetupMatch(EXAMPLE_CTIMER, EXAMPLE_CTIMER_MAT_OUT, &matchConfig);
    CTIMER_StartTimer(EXAMPLE_CTIMER);

    while (1)
    {
    }
}
