/*
 * Copyright 2018 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _CLOCK_CONFIG_H_
#define _CLOCK_CONFIG_H_

#include "fsl_common.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define BOARD_XTAL0_CLK_HZ 12000000U /*!< Board xtal0 frequency in Hz */
#define BOARD_XTAL32K_CLK_HZ 32768U  /*!< Board xtal32K frequency in Hz */

/*******************************************************************************
 ************************ BOARD_InitBootClocks function ************************
 ******************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes default configuration of clocks.
 *
 */
void BOARD_InitBootClocks(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************* Configuration BOARD_BootClockSFRO8MHz *********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO8MHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO8MHZ_CORE_CLOCK 8000000U /*!< Core clock frequency: 8000000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO8MHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO8MHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************* Configuration BOARD_BootClockSFRO4MHz *********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO4MHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO4MHZ_CORE_CLOCK 4000000U /*!< Core clock frequency: 4000000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO4MHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO4MHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************* Configuration BOARD_BootClockSFRO2MHz *********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO2MHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO2MHZ_CORE_CLOCK 2000000U /*!< Core clock frequency: 2000000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO2MHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO2MHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************* Configuration BOARD_BootClockSFRO1MHz *********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO1MHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO1MHZ_CORE_CLOCK 1000000U /*!< Core clock frequency: 1000000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO1MHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO1MHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ****************** Configuration BOARD_BootClockSFRO500kHz ********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO500kHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO500KHZ_CORE_CLOCK 500000U /*!< Core clock frequency: 500000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO500kHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO500kHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ****************** Configuration BOARD_BootClockSFRO250kHz ********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO250kHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO250KHZ_CORE_CLOCK 250000U /*!< Core clock frequency: 250000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO250kHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO250kHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ****************** Configuration BOARD_BootClockSFRO125kHz ********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO125kHz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO125KHZ_CORE_CLOCK 125000U /*!< Core clock frequency: 125000Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO125kHz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO125kHz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ****************** Configuration BOARD_BootClockSFRO62500Hz *******************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockSFRO62500Hz configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKSFRO62500HZ_CORE_CLOCK 62500U /*!< Core clock frequency: 62500Hz */

/*******************************************************************************
 * API for BOARD_BootClockSFRO62500Hz configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockSFRO62500Hz(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

#endif /* _CLOCK_CONFIG_H_ */
